<?php 
// create custom plugin settings menu
add_action('admin_menu', 'wcpfa_create_menu');

function wcpfa_create_menu() {

	//create new top-level menu
	add_dashboard_page('Default Settings', 'PageFlip ADV', '8', __FILE__, 'wcpfa_settings_page',WP_PLUGIN_URL .'/login-logo-customization/images/wcpfa.png');
    //add_submenu_page(__FILE__, 'Login Logo Customization | Settings', 'Default Settings', '8', wcpfa_settings_page);
    //add_submenu_page(__FILE__, 'Simple Website Screenshot | Details', 'Details', 8, WP_PLUGIN_DIR .'/wordpress-simple-website-screenshot/doc/details.php');
    //add_submenu_page(__FILE__, 'Login Logo Customization | Usage', 'Plugin Homepage', 8, WP_PLUGIN_DIR .'/wp-simple-website-screenshot/plugin_page.php');
	//call register settings function
	add_action( 'admin_init', 'register_wcpfasettings' );
}

function register_wcpfasettings() {
	//register our settings
	register_setting( 'wcpfa-settings-group', 'target_url' );
	register_setting( 'wcpfa-settings-group', 'banner_custom_url' );
	register_setting( 'wcpfa-settings-group', 'target_blank' );
	register_setting( 'wcpfa-settings-group', 'custom_text' );
}

function wcpfa_settings_page() {

?>
<div class="wrap">
<h2>PageFlip ADV | Settings Page</h2>
<p style="float:right;margin-left:15px"><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_donations">
<input type="hidden" name="business" value="Z2HB86TG9VGLN">
<input type="hidden" name="lc" value="GB">
<input type="hidden" name="item_name" value="Pigi - Simple Website Screenshot">
<input type="hidden" name="currency_code" value="EUR">
<input type="hidden" name="bn" value="PP-DonationsBF:btn_donateCC_LG.gif:NonHosted">
<input type="image" src="https://www.paypal.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online.">
<img alt="" border="0" src="https://www.paypal.com/it_IT/i/scr/pixel.gif" width="1" height="1">
</form>
<br />
</p>

<h3><?php _e('PageFlip Adv | Settings') ?></h3>

<?php _e('<h3>Installation:</h3>')?>
--> <?php _e('Open Your Header.php template file and search for </head> tag')?> <br />
--> <?php _e('After this line, please insert:'); ?><br /><br />
<em>&lt;?php if(function_exists('wpcode_pageflipadv')) { wpcode_pageflipadv(); } ?&gt;</em><br /><br />

--> <?php _e('That&#8217;s All'); ?>

<form method="post" action="options.php">
    <?php settings_fields( 'wcpfa-settings-group' ); ?>
    
    <table class="form-table">
     
        <tr valign="top">
        <th scope="row"><?php _e('Your Banner Target Url'); ?></th>
        <td><textarea rows="3" cols="28" name="target_url" value="<?php echo get_option('target_url'); ?>"> <?php echo get_option('target_url'); ?></textarea></td>
        <td><?php _e('Here you can specify the url where the banner image have to point after click: for Example: '); ?> "<?php bloginfo('url')?>/advertise-here". <?php _e('In this field you can insert your affiliation partner code linke Cj.com Url')?></td>
        </tr> 
    		<tr valign="top">
		<th scope="row"><?php _e('Open Link in a New Window?', ''); ?></th>
		<td><input name="target_blank" id="target_blank" value='1' <?php if (get_option('target_blank') == '1') { echo "checked='checked'"; } ?> type="checkbox" /> <label for="target_blank"> <?php _e('Apply "_blank" Option to "Your Banner Target Url"?'); ?></label></td> 
            </tr>
        <tr valign="top">
        <th scope="row"><?php _e('Your Banner Image Url'); ?></th>
        <td><textarea rows="3" cols="28" name="banner_custom_url" value="<?php echo get_option('banner_custom_url'); ?>"> <?php echo get_option('banner_custom_url'); ?></textarea></td>
        <td><?php _e('It could Be Jpeg, jpg, gif and png. Width must be <b>307px</b>, height <b>319px</b>. For example insert:'); ?> <?php bloginfo('url')?>/image/logo.png</td>
        </tr> 
        
         <tr valign="top">
        <th scope="row"><?php _e('Wanna Text Into Banner image?'); ?></th>
        <td><textarea rows="3" cols="28" name="custom_text" value="<?php echo get_option('custom_text'); ?>"> <?php echo get_option('custom_text'); ?></textarea></td>
        <td><?php _e('This Text <b>Will be visible only if you choose to insert a WHITE Image Banner</b>'); ?></td>
        </tr> 
    </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>

<h3><?php _e('Usefull Links') ?>:</h3>

<a href="http://www.wpcode.net/pageflip-adv-v-0-1b.html" target="_blank"><img src="<?php bloginfo('url')?>/wp-content/plugins/pageflipadv/images/homepage.jpg" width="60" height="60" border="0" Title="'PageFlip ADV' Home Page"></a>
<a href="mailto:pigi.bari@gmail.com?subject=My Opinion on 'PageFlip ADV'"><img src="<?php bloginfo('url')?>/wp-content/plugins/pageflipadv/images/mail.jpg" width="60" height="60" border="0" Title="'PageFlip ADV' Plugin Send Me your Feedback"></a>
<br /><br />
<h2>Share:</h2>
Please Share Login Logo Customization Post <br />
<a name="fb_share" type="box_count" share_url="http://www.wpcode.net/pageflip-adv-v-0-1b.html" href="http://www.facebook.com/sharer.php">Share</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>
<a href="http://twitter.com/share" class="twitter-share-button" data-url="http://www.wpcode.net/pageflip-adv-v-0-1b.html" data-count="vertical">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
<?php }?>