<?php 

/*
Plugin Name: PageFlip Advertising
Plugin URI: http://www.digg-it.info/wordpress-simple-website-screenshot-v-0-5
Description: Create corner flip advertising for your blog.
Version: 0.1b
Author: Pigi
Author URI: http://www.digg-it.info
License: GPL2
*/


/*  Copyright 2010  Pigi  (email : pigi.bari@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

require_once('menu/menu.php');
function wpcode_pageflipadv () {
?>

<script type="text/javascript" src="http://code.jquery.com/jquery-latest.js"></script> 
<script type="text/javascript"> 
$(document).ready(function(){
 
	$("#wpcode_pageflipadv").hover(function() {
		$("#wpcode_pageflipadv img , .wpcode_text").stop()
			.animate({
				width: '307px', 
				height: '319px'
			}, 500); 
		} , function() {
		$("#wpcode_pageflipadv img").stop() 
			.animate({
				width: '50px', 
				height: '52px'
			}, 220);
		$(".wpcode_text").stop() 
			.animate({
				width: '50px', 
				height: '50px'
			}, 200);
	});
 
	
});
</script> 
<style type="text/css"> 
#wpcode_pageflipadv {
	position: relative;
}
#wpcode_pageflipadv img {
	width: 50px; height: 52px;
	z-index: 99;
	position: absolute;
	right: 0; top: 0;
	-ms-interpolation-mode: bicubic;
	border:0;
}
#wpcode_pageflipadv .wpcode_text {
	width: 50px; height: 50px;
	position: absolute;
	z-index: 50;
	right: 0; top: 0;
	background: url(<?php echo get_option('banner_custom_url'); ?>) no-repeat right top;
	width:307px;
	height:319px;
	text-indent: -9999px;
}
</style>
<div id="wpcode_pageflipadv">
	<a href="<?php echo get_option('target_url'); ?>" <?php if(get_option('target_blank') == "1"){ ?> target="_blank" <?php } ?>>
<img src="<?php bloginfo('url')?>/wp-content/plugins/pageflipadv/images/wp_code_page_flip.png" alt="" /></a>
		<div class="wpcode_text"><?php echo get_option('custom_text'); ?></div>
	</a>
</div> <?php } ?>